quan2003 发表于 2005-3-31 12:47:00

[求助]直线的起点和终点的获得

<U><FONT color=#800080>请问 在vba</FONT></U><U><FONT color=#800080>进行二次开发时如何获得一条直线的起点和终点</FONT></U><BR>

园子829 发表于 2005-3-31 13:17:00

<PRE class=Code>Sub Example_StartPoint()
    ' This example creates an elliptical arc and then
    ' finds the coordinates of its start point and endpoint.
    Dim ellObj As AcadEllipse
    Dim majAxis(0 To 2) As Double
    Dim center(0 To 2) As Double
    Dim radRatio As Double
    Dim startPoint As Variant
    Dim endPoint As Variant
   
    ' Create an ellipse in model space
    center(0) = 5#: center(1) = 5#: center(2) = 0#
    majAxis(0) = 10: majAxis(1) = 20#: majAxis(2) = 0#
    radRatio = 0.3
    Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio)
   
    ' Enter a start angle of 45 degrees, and an end angle of 270 degrees
    ellObj.startAngle = 45 * (3.14 / 180)
    ellObj.endAngle = 270 * (3.14 / 180)
    ZoomAll
   
    ' Find the start and endpoints for the ellipse
    startPoint = ellObj.startPoint
    endPoint = ellObj.endPoint
    MsgBox "This ellipse has a start point of " &amp; startPoint(0) &amp; ", " &amp; startPoint(1) &amp; ", " &amp; startPoint(2) &amp; " and an endpoint of " &amp; endPoint(0) &amp; ", " &amp; endPoint(1) &amp; ", " &amp; endPoint(2), vbInformation, "StartPoint Example"
End Sub</PRE>

quan2003 发表于 2005-3-31 16:03:00

上面的程序好像不对       我说的是这条直线已存在       要获得起点坐标(x,y)的值

园子829 发表于 2005-3-31 19:59:00

startPoint = ellObj.startPoint<BR>endPoint = ellObj.endPoint


就是这个属性
页: [1]
查看完整版本: [求助]直线的起点和终点的获得